package com.palmnest.service.org;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.output.org.AboutOrgOutDto;
import com.palmnest.model.property.AboutOrg;

import java.util.List;
import java.util.Map;

public interface AboutOrgService {

	List<AboutOrgOutDto> findByOrg(Integer orgId);

	void save(AboutOrg aboutOrg);

	void update(AboutOrg aboutOrg);

	AboutOrg findById(Long id);

	void delete(AboutOrg aboutOrg);

	Page getList(Map<String, String> params);

	AboutOrgOutDto findDtoBy(Long id);

}
